# PSF-LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader
PSF - LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader
Keywords: PSF LoginServer master net.psforever.services.vehicle.support.TurretUpgrader

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  package support
  Definition Classes
    vehicle
- TurretUpgrader

o

net.psforever.services.vehicle.support

# TurretUpgrader 

###
Companion class TurretUpgrader

#### object TurretUpgrader extends SupportActorCaseConversions

Source
  TurretUpgrader.scala

Linear Supertypes
SupportActorCaseConversions, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretUpgrader
2. SupportActorCaseConversions
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AddTask (turret: PlanetSideServerObject with WeaponTurret, zone: Zone, upgrade: objects.serverobject.turret.TurretUpgrade.Value, duration: Option[FiniteDuration] = None) extends Product with Serializable
2.  final case class Downgrade () extends Product with Serializable
3.  case class Entry (_obj: PlanetSideGameObject, _zone: Zone, upgrade: objects.serverobject.turret.TurretUpgrade.Value, _duration: Long) extends support.SupportActor.Entry with Product with Serializable

   All information necessary to apply to the removal process to produce an effect.

   All information necessary to apply to the removal process to produce an effect. Internally, all entries have a "time created" field.

   _obj

     the target

   _zone

     the zone in which this target is registered

   upgrade

     the next upgrade state for this turret

   _duration

     how much longer the target will exist in its current state (in nanoseconds)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ClearAll(): ClearAll

   A mask for converting between a class local and `SupportActor.ClearAll`.

   A mask for converting between a class local and `SupportActor.ClearAll`.

   returns

     a `SupportActor.ClearAll` object

   Definition Classes
     SupportActorCaseConversions
5.  def ClearSpecific(targets: List[PlanetSideGameObject], zone: Zone): ClearSpecific

   A mask for converting between a class local and `SupportActor.ClearSpecific`.

   A mask for converting between a class local and `SupportActor.ClearSpecific`.

   targets

     a list of objects to match

   zone

     the zone in which these objects exist

   returns

     a `SupportActor.ClearSpecific` object

   Definition Classes
     SupportActorCaseConversions
6.  def HurryAll(): HurryAll

   A mask for converting between a class local and `SupportActor.HurryAll`.

   A mask for converting between a class local and `SupportActor.HurryAll`.

   returns

     a `SupportActor.HurryAll` object

   Definition Classes
     SupportActorCaseConversions
7.  def HurrySpecific(targets: List[PlanetSideGameObject], zone: Zone): HurrySpecific

   A mask for converting between a class local and `SupportActor.HurrySpecific`.

   A mask for converting between a class local and `SupportActor.HurrySpecific`.

   targets

     a list of objects to match

   zone

     the zone in which these objects exist

   returns

     a `SupportActor.HurrySpecific` object

   Definition Classes
     SupportActorCaseConversions
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SupportActorCaseConversions

### Inherited from AnyRef

### Inherited from Any

### Ungrouped